'use client';

import { useState, useEffect } from 'react';

export default function useErrorAlert() {
	const [error, setError] = useState<string|null>(null);

	useEffect(() => {
		if (error) {
			alert(error);
			setError(null);
		}
	}, [error]);

	return { error, setError };
}
